Bug 1421810 - [rt] implement the simple work queue from upstream PREEMPT_RT series
Summary: [rt] implement the simple work queue from upstream PREEMPT_RT series
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks: 1353018 1410158
TreeView+ depends on / blocked
 
Reported: 2017-02-13 18:15 UTC by Clark Williams
Modified: 2017-08-02 00:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:00:29 UTC


Attachments (Terms of Use)
work-simple-Simple-work-queue-implemenation.patch (5.16 KB, patch)
2017-02-13 18:17 UTC, Clark Williams
no flags Details | Diff
fs-aio-simple-simple-work.patch (3.46 KB, patch)
2017-02-13 18:18 UTC, Clark Williams
no flags Details | Diff
genirq-do-not-invoke-the-affinity-callback-via-a-wor.patch (3.93 KB, patch)
2017-02-13 18:18 UTC, Clark Williams
no flags Details | Diff
hrtimer-Move-schedule_work-call-to-helper-thread.patch (3.06 KB, patch)
2017-02-13 18:19 UTC, Clark Williams
no flags Details | Diff
0001-wait.h-include-atomic.h.patch (1.38 KB, patch)
2017-02-14 15:18 UTC, Clark Williams
no flags Details | Diff
0002-work-simple-Simple-work-queue-implemenation.patch (5.64 KB, patch)
2017-02-14 15:19 UTC, Clark Williams
no flags Details | Diff
0003-Revert-genirq-do-not-invoke-the-affinity-callback-vi.patch (4.47 KB, patch)
2017-02-14 15:20 UTC, Clark Williams
no flags Details | Diff
0004-genirq-Do-not-invoke-the-affinity-callback-via-a-wor.patch (4.03 KB, patch)
2017-02-14 15:21 UTC, Clark Williams
no flags Details | Diff
0005-Revert-hrtimer-Move-schedule_work-call-to-helper-thr.patch (2.00 KB, patch)
2017-02-14 15:21 UTC, Clark Williams
no flags Details | Diff
0006-hrtimer-Move-schedule_work-call-to-helper-thread.patch (3.27 KB, patch)
2017-02-14 15:23 UTC, Clark Williams
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description Clark Williams 2017-02-13 18:15:40 UTC
Pull in simple work queue

Comment 1 Clark Williams 2017-02-13 18:17:25 UTC
Created attachment 1249982 [details]
work-simple-Simple-work-queue-implemenation.patch

4.8.15-rt10 upstream PREEMPT_RT implementation of swork queues

Comment 2 Clark Williams 2017-02-13 18:18:11 UTC
Created attachment 1249983 [details]
fs-aio-simple-simple-work.patch

Comment 3 Clark Williams 2017-02-13 18:18:55 UTC
Created attachment 1249984 [details]
genirq-do-not-invoke-the-affinity-callback-via-a-wor.patch

Comment 4 Clark Williams 2017-02-13 18:19:58 UTC
Created attachment 1249985 [details]
hrtimer-Move-schedule_work-call-to-helper-thread.patch

Comment 5 Clark Williams 2017-02-14 15:18:46 UTC
Created attachment 1250277 [details]
0001-wait.h-include-atomic.h.patch

ARM only fix

Comment 6 Clark Williams 2017-02-14 15:19:36 UTC
Created attachment 1250278 [details]
0002-work-simple-Simple-work-queue-implemenation.patch

Implement swork queues on RHEL-RT 7.4

Comment 7 Clark Williams 2017-02-14 15:20:32 UTC
Created attachment 1250280 [details]
0003-Revert-genirq-do-not-invoke-the-affinity-callback-vi.patch

Revert helper thread irq fix

Comment 8 Clark Williams 2017-02-14 15:21:18 UTC
Created attachment 1250281 [details]
0004-genirq-Do-not-invoke-the-affinity-callback-via-a-wor.patch

Implement genirq locking fix using simple-workqueue

Comment 9 Clark Williams 2017-02-14 15:21:57 UTC
Created attachment 1250282 [details]
0005-Revert-hrtimer-Move-schedule_work-call-to-helper-thr.patch

revert helper thread fix to hrtimer locking issue

Comment 10 Clark Williams 2017-02-14 15:23:00 UTC
Created attachment 1250283 [details]
0006-hrtimer-Move-schedule_work-call-to-helper-thread.patch

Implement hrtimer locking fix with simple-workqueue

Comment 11 Clark Williams 2017-02-14 15:25:07 UTC
Scratch build against -563 7.4 kernel with above series and new swait code ran rteval for 12 hours with passing latency. 

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12537155

Comment 16 errata-xmlrpc 2017-08-01 19:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077

Comment 17 errata-xmlrpc 2017-08-02 00:24:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077


Note You need to log in before you can comment on or make changes to this bug.